INTERFACE
SUBROUTINE LAVENTAD(KST,KPROF,LD2TLFF1,PSGRTL,PSGRTM,PDTS2,PRCORI,&
 & PRDELP,PEVEL,PGMV,PB1,PB2,PRDELP5,PEVEL5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA ,NFLEVG ,NFLSA
USE YOMGMV , ONLY : NDIMGMV ,YT0 ,YT9
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB2
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
LOGICAL ,INTENT(IN) :: LD2TLFF1
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSGRTL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSGRTM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDTS2
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRDELP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEVEL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NPROMA,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL5(NPROMA,0:NFLEVG)
END SUBROUTINE LAVENTAD
END INTERFACE
